*{
    box-sizing: border-box;
}
html{
    font-family: Proxima Nova,-apple-system,Helvetica Neue,Helvetica,Roboto,Arial,sans-serif;
    background: #c6c6c6;
}

*, *::before, *::after{
    box-sizing: inherit;
}
:root{
    --colorTexto:#49454567;
}
::before,
::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}
/*-------- DISEÑO DEL ENCABEZADO Y EL LOGO ---------- */
.encabezado{
    margin: 0px;
    padding-top: 3px;
    width: 100%;
    height: 46px;
    background: #ffffff;
    /*background-color:rgb(59, 59, 36);*/
}

.barramenu1{
    width: 100%;
    height: 46px;
    background: rgb(255, 238, 0);
/*    background-color:rgb(255, 251, 0);*/
    display: flex;
    float: left;
}
.logo{
    width: 230px;
    margin-left: 50px;
    margin-right: 50px;
    float: left;
}

.contebtnmenuprincipal{
    width: 120px;
    height: 20px;
    text-align: center;
    border-radius: 5px;
    margin-top: 8px;
    margin-left: 1000px;
    padding:5px;
    background: #ff0000;
}
.btnmenuprincipal{
    font-size: 16px;
    text-decoration: none;
    color: rgb(255, 255, 255);
}
.contebtnmenuprincipal:hover{
    background: #f59696;
    cursor: pointer;
}


.contenido{
    width: 500px;
    height: 350px;
    display: flex;
    margin: 80px auto;
}

.form{
    width: 480px;
    height: 340px;
    background: rgb(255, 255, 255);
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    border: 1px solid;
}
.contedordatos{
    width: 450px;
    height:330px;
    background: #ffffff;
    margin: auto;
}
.titulobtncerrar{
    width: 100%;
    background: rgb(255, 255, 255);
    text-align: center;
}
.titulo{
    background: rgb(255, 255, 255);
    width: 95%;
    text-align: center;
    float: left;
}
h2{
    text-align: center;
    font-weight: 700;
    color: rgb(2, 132, 253);
}
.btncerrar{
    width: 20px;
    height: 20px;
    float: left;
    background: rgb(255, 255, 255);
}
.btncerrara{
    text-decoration: none;
    margin-top: 10px;
    padding-right: 20px;
    color: darkgrey;
    transition: 0.3s ease all;
}
.btncerrara:hover{
    color: rgb(0, 0, 0);
}

.subtitulo{
    margin-top: 10px;
    width: 100%;
    height: 30px;
    text-align: center;
}
.textosubtitulo{
    color: rgb(2, 132, 253);
    font-size: 14px;
    padding-top: 5px;
    text-align:justify;
}
.contenedorgrupos{
    width: 450px;
    height: 100px;
    margin-top: 80px;
    background: rgb(255, 255, 255);
    align-items: center;
    justify-content: center;
    padding: 10px 0 10px;
}
.form{
    margin: auto;
}
form .grupo{
    position: relative;
    margin-top: 30px;
}
input{
    background: none;
    color: #c6c6c6;
    font-size: 18px;
    padding: 10px 10px 10px 5px;
    display: block;
    width: 95%;
    border: none;
    border-bottom: 1px solid var(--colorTexto);
}
input:focus{
    outline: none;
    color: #5e5d5d;
}
label{
    color:var(--colorTextos);
    font-size: 16px;
    position: absolute;
    left: 5px;
    top: 10px;
    transition: 0.5s ease-in-out all;
    pointer-events: none;
}
input:focus~label,
input:valid~label{
    top:-14px;
    font-size: 12px;
    color: #2196f3;
}
.barra{
    position: relative;
    display: block;
    width: 100%;
}
.barra::before{
    content: "";
    height: 2px;
    width: 0%;
    bottom: 0;
    position: absolute;
    background:linear-gradient(to right, #2196f3, #2196f3);
    /*background: -moz-repeating-linear-gradient(to right, #2196f3, #2196f3);*/
    transition: 01s ease width;
    left: 0;

}
input:focus~.barra::before{
    width:100%;
}
button{
    font-family: roboto;
    border: none;
    display: block;
    width: 150px;
    border-radius: 10px;
    margin: 15px auto;
    color: rgb(255, 255, 255);
    background: rgb(2, 132, 253);
    height: 40px;
    font-size: 16px;
    cursor: pointer;
}
button:hover{
    background: rgb(94, 168, 238);
}
@media screen and(max-width:500px){
    .form{
        width: 80%;
    }
}

.mensajeerror{
    width: 100%;
    text-align: center;
    font-size: 14px;
    margin: auto;
    color: #ff0000;
    margin-top: 20px;
}

.iniciasesion:hover{
    cursor: pointer;
}

/*------------------ CONDICIONES -------------------*/
.contenedorolvidaestecontraseña{
    width: 90%;
    height: 30px;
    background: rgb(255, 255, 255);
    margin: auto;
    display: flex;
}

.contolvidocontraseña{
    text-align:right;
}

.olvidocontraseña{
    font-size: 14px;
    text-decoration: none;
    color: rgb(0, 132, 255);
}
